<?php
/*
	Plugin Name: WP Crop Stop
	Description: Stop cropping images
	Version: 0.1.2
	Author: Alex Egorov
	Author URI: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=SLHFMF373Z9GG&source=url
	Plugin URI: https://ru.wordpress.org/plugins/wp-crop-stop/
	GitHub Plugin URI:
	License: GPLv2 or later (license.txt)
	Text Domain: cropstop
	Domain Path: /languages
*/

global $wpcs;

$wpcs = get_option('wpcs');

//error_reporting(E_ALL);

define('wpcs_URL', plugins_url( '/', __FILE__ ) );
define('wpcs_PATH', plugin_dir_path(__FILE__) );
define('wpcs_PREF', $wpdb->base_prefix.'n_' );

require wpcs_PATH.'/includes/admin.php';

add_action('admin_enqueue_scripts', 'wpcs_scripts');

function wpcs_scripts(){
	global $wpcs;
	if( $wpcs['style'] == 'yummi' ){
	  wp_enqueue_style( 'yummi', wpcs_URL . '/includes/css/admin_style.min.css' );
	  wp_enqueue_style( 'yummi-hint', wpcs_URL . '/includes/css/hint.min.css' );
	}
}
add_action('admin_footer','wpcs_header');

function wpcs_header(){
	global $wpcs;
	$mcss = '';
	if( is_array($wpcs['mcss']) ){
	  for ($i=0; $i < count($wpcs['mcss']); $i++) {
		$mcss .= $wpcs['mcss'];
	  }
	}
	echo '<style>'.$mcss.$wpcs['css'].'</style>'; // <script type="text/javascript">alert("yep!");</script>
}

/* Multiplugin functions */
register_activation_hook(__FILE__, 'wpcs_activation');
function wpcs_activation() {}
register_deactivation_hook( __FILE__, 'wpcs_deactivation' );
function wpcs_deactivation() {}
register_uninstall_hook( __FILE__, 'wpcs_uninstall' );
function wpcs_uninstall() {}

add_filter('plugin_action_links', 'wpcs_plugin_action_links', 10, 2);

function wpcs_plugin_action_links($links, $file) {
    static $this_plugin;
    if (!$this_plugin)
        $this_plugin = plugin_basename(__FILE__);
    if ($file == $this_plugin) { // check to make sure we are on the correct plugin
		//$settings_link = '<a href="https://yummi.club/" target="_blank">' . __('Demo', 'wpcs') . '</a> | ';

		$settings_link = '<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=SLHFMF373Z9GG&source=url" target="_blank">❤ ' . __('Donate', 'wpcs') . '</a> | <a href="admin.php?page=wpcs">' . __('Settings') . '</a>'; // the anchor tag and href to the URL we want. For a "Settings" link, this needs to be the url of your settings page
      array_unshift($links, $settings_link); // add the link to the list
    }
    return $links;
}
/* /Multiplugin functions */

